<?php  $menu = $this->catCollection(); ?>
<?php //echo "<pre>";

?>
<?php if($this->getRequest()->getParam('id')){
	$checkParam = true;
	$id_param = $this->getRequest()->getParam('id');
}else{
	$checkParam = false;
}
?>

<?php $helper = $this->helper('MGS\Portfolio\Helper\Data') ?>
<div class="menu-portfolio text-center">
	<ul class="tab-menu tabs_categories_porfolio">
		<?php if(count($menu)): ?>
			<?php foreach($menu as $_menu ): ?>				
				<li <?php if($checkParam && $id_param == $_menu->getId()): ?>class="active"<?php endif ?>><a class="button btn btn-sm <?php if($checkParam && $id_param == $_menu->getId()): ?>is-checked<?php endif ?>" data-filter=".item_<?php echo $_menu->getId(); ?>"><?php echo $_menu->getName(); ?></a></li>
			<?php endforeach ?>
		<?php endif ?>
	</ul>
</div>
<div class="portfolio-grid tabs_categories_porfolio_content isotope row">
	<?php $portfolios = $this->getPortfolios(); ?>
<?php if(count($menu)): ?>
		<?php foreach($menu as $_menu ): ?>
			<?php $portfolios = $this->childCatCollection($_menu->getId()); ?>
			<?php if(count($portfolios)): ?>
				<?php foreach($portfolios as $portfolio): ?>
					<div class="item item_<?php echo $_menu->getId() ?>  col-md-4 col-sm-6 col-xs-12">
					    <div class="item_inner">
							<div class="portfolio-top-content">
								<div class="image">
									<?php $thumbnailUrl = $portfolio->getImageUrl() ?>
									<?php $portfolioUrl = $portfolio->getUrl(); ?>
									<?php if($thumbnailUrl): ?>
										<div class="image-item"><img src="<?php echo $thumbnailUrl ?>" alt="<?php echo $portfolio->getName() ?>" class="img-responsive"/></div>
									<?php endif ?>
								</div>
								<div class="portfolio-bottom-content">
									<a class="title" href="<?php echo $portfolioUrl; ?>"><?php echo $portfolio->getName() ?></a>							
								</div>
							</div>
						</div>
					</div>
				<?php endforeach ?>
			<?php else: ?>
				<div class="item ">
				    <div class="item_inner">
					<div class="alert alert-danger"><?php echo __('There are no categories matching the selection.') ?></div>
					</div>
				</div>
			<?php endif ?>
		<?php endforeach ?>	
<?php endif ?>		

</div>
<script type="text/javascript">
    requirejs([ 
		'require', 
		'jquery', 
		'mgs/isotope' 
	], function( require, $, Isotope ) {
    require( [ 'bridget' ], function( jQueryBridget ) {
		jQueryBridget( 'isotope', Isotope, $ );
	    $(window).load(function() {
			var container = $('.isotope').isotope({
				itemSelector: '.item',
				percentPosition: true,
				masonry: {
					columnWidth: '.item'
				},
				getSortData: {
					name: '.item'
				}
			});
			$('.tabs_categories_porfolio').each( function( i, buttonGroup ) {
				var filterLoadValue = $(this).find('.is-checked').attr('data-filter');				
				container.isotope({ filter: filterLoadValue });
			});
		});
         $(window).ready(function(){	
			var container = $('.isotope').isotope({
				itemSelector: '.item',
				 percentPosition: true,
				masonry: {
					columnWidth: '.item'
				},
				
				getSortData: {
					name: '.item'
				}
			});	
			$('.tabs_categories_porfolio').on( 'click', '.button', function() {
				var filterValue = $(this).attr('data-filter');
				
				container.isotope({ filter: filterValue });
				});
			$('.tabs_categories_porfolio').each( function( i, buttonGroup ) {
				var buttonGroup = $(buttonGroup);
				buttonGroup.on( 'click', '.button', function() {
					buttonGroup.find('.is-checked').removeClass('is-checked');
					$(this).addClass('is-checked');
				});
			});

			$("ul.tabs_categories_porfolio li:first-child a").click();
		});	
    });
});
</script>